#!/usr/bin/sh

#
# The source here is entirely from a tiff-v3.5.7 distribution except for:
#
# - tiff-v3.5.7.sh (this file)
# - tiff-v3.5.7.depend (depend file for build script)
# - tiff-v3.5.7-unixware.patch (patch for UnixWare port)
#

set -x
set -e

# Apply patches.
for patch in tiff-v3.5.7-unixware.patch
do
	[ -f .${patch}.applied ] || {
		/bin/patch -c -p0 -i ${patch}
		/bin/date > .${patch}.applied
	}
done

# Configure
./configure

#
# Tiff has its own install command that installs files in
# $ROOT/$DESTDIR directory.
#
# Make and install header files and library in cross-environment
#
${MAKE} ROOT=${TOOLS} install-lib

# Now install everything in ${ROOT}/${MACH}.
${MAKE} DESTDIR=${MACH} install

# Move man pages to Unix standard directories.

# Move all files from directory $1 to $2
_mv()
{       
	[ ! -d $2 ] && mkdir -p $2
	/usr/bin/ls $1 | /usr/bin/xargs -i /usr/bin/mv -f $1/{} $2/{}
}

_mv ${ROOT}/${MACH}/usr/man/man1 ${ROOT}/${MACH}/usr/man/man.1
_mv ${ROOT}/${MACH}/usr/man/man3 ${ROOT}/${MACH}/usr/man/man.3t
